<bugID>1363771<Summary>[meta] Photon - Eliminate or greatly reduce pauses that can occur randomly in front-end code</Summary><Description>This is a meta bug to track work targeting Firefox 57 to reduce the probability of hitting "random UI jank" during a browsing session.

Ideally, we should be able to respond to user events every 16ms.

"Random UI jank" can occur for a number of reasons:

1) Timer events suddenly firing on the main thread
2) Any kind of sync file IO on the main thread
3) Observer notifications being alerted about something that happened off of the main thread
4) Using dispatchToMainThread to run JS later (but before UI events are processed)
5) Long running code that needs to be split into smaller chunks

etc

Out of scope are lower level platform pauses like garbage collection, cycle collection, system calls, etc.</Description></bugID>